Skip to main content

Get list of versions

GET 

/v2/actors/:actorId/versions

Gets the list of versions of a specific Actor. The response is a JSON object with the list of Version objects, where each contains basic information about a single version.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Status 200

Response Headers
    {
    "data": {
    "total": 5,
    "items": [
    {
    "versionNumber": "0.1",
    "envVars": null,
    "sourceType": "SOURCE_FILES",
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "sourceFiles": []
    },
    {
    "versionNumber": "0.2",
    "sourceType": "GIT_REPO",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "gitRepoUrl": "https://github.com/jane35/my-actor"
    },
    {
    "versionNumber": "0.3",
    "sourceType": "TARBALL",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "tarballUrl": "https://github.com/jane35/my-actor/archive/master.zip"
    },
    {
    "versionNumber": "0.4",
    "sourceType": "GITHUB_GIST",
    "envVars": null,
    "applyEnvVarsToBuild": false,
    "buildTag": "latest",
    "gitHubGistUrl": "https://gist.github.com/jane35/e51feb784yu89"
    }
    ]
    }
    }